petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSFCreateEmbeddedLeafSF

removes edges from all but the selected leaves, does not remap indices

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFCreateEmbeddedLeafSF(PetscSF sf, PetscInt nleaves, const PetscInt *selected, PetscSF *newsf)

Collective Many br

### Input Arguments

| sf | - original star forest Many br
| nleaves | - number of leaves to select on this process Many br
| selected | - selected leaves on this process Many br

### Output Arguments

newsf -new star forest Many br

Many br

### See Also

PetscSFCreateEmbeddedSF(), PetscSFSetGraph(), PetscSFGetGraph()

Level:advanced
Location:src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages